
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Xcode模拟器中无法播放音频文件的原因分析 / iVAN</title>

    <meta name="description" content="Xcode模拟器中无法播放音频文件的原因分析 在本猫的Mac Mini上开发iOS app,发现当执行到播放音频的代码时,发生错误,log如下: 2015-10-05 07:22:17.122 LearnSpriteBuilder[10321:559370] 07:22:17.122 ERROR: 98: Error '!obj' trying to fetch default input device's sample rate 2015-10-05 07:22:17.122 LearnSpriteBuilder[10321:559370">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Xcode模拟器中无法播放音频文件的原因分析</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在本猫的Mac Mini上开发iOS app,发现当执行到播放音频的代码时,发生错误,log如下:</p>
<pre><code>2015-10-05 07:22:17.122 LearnSpriteBuilder[10321:559370] 07:22:17.122 ERROR:     98: Error '!obj' trying to fetch default input device's sample rate
2015-10-05 07:22:17.122 LearnSpriteBuilder[10321:559370] 07:22:17.122 ERROR:     100: Error getting audio input device sample rate: '!obj'</code></pre>
<p>看了一下,貌似是和音频输入设备有关,可是我是播放音乐,并没有录音啊,按道理只用到音频输出设备,不用输入设备吧?</p>
<p>然而同样的代码在MacAir和真机上都运行正常,声音播放的杠杠的.</p>
<p>于是到Stack Overflow搜索,发现2个比较靠谱的答案:</p>
<pre><code>The error occurs because you are trying to get device's sample rate from simulator, which is not possible.

Because simulator is not a hardware. Its a software.

So some hardware functionality will not able to simulated with it.

It can not do the following:

Open Camera
Play sounds
Gyrometer
Accelerometer
Shake effect
And many more which required device hardware acceleration.

You need to test this in real device.</code></pre>
<p>这哥们说模拟器是软件而不是硬件,无法播放音频,必须到真机上测试. <br />
但是在macAir的模拟器上是可以播放的,所以问题不在这.</p>
<p>另一哥们说:</p>
<pre><code>I was having this problem, the comment from @Matti Jokipii, helped me a lot.

You need to have a sound input enabled, so your Mac doesn't give you the null exception.
Go To System Preferences &gt; Sound. And Check you have some input connected. If not, you will have to add a microfone, and re-rerun the app.</code></pre>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTEwMDUwNzQ0Mzk5MTE=.jpg"></p>
<p>Ta说到系统设置的Sound中去看其中的Input栏中是否有设备,如果有那么可以播放,否则你必须添加一个输入设备才可播放.如果我没记错的话,MacAir是有输入设备的(可以录音),而Mac mini貌似没有.网上还有人说在mini上插个耳机就可以了,这应该是因为耳机上带有输入的话筒,不信可以到Input栏中看一下.但是没有输入话筒的耳机插上去也是不行的,我记得iPhone的耳机是带输入话筒的,而iPod shuffle耳机是没有的.</p>
<p>等回去再验证下.</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 07:59:44</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Xcode模拟器中无法播放音频文件的原因分析的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP8jGDp.html" rel="bookmark">mp3-jsp中audio标签播放音频文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 jsp中audio标签播放音频文件 HTTP &quot;&quot;Content-Type&quot;&quot; 中的 &quot;&quot;text/html&quot;&quot; 不支持.媒体资源 http://youxin.telecomjs.com/audio/audio.mp3 加载失败. 解决方案 jsp 加上&lt;!DOCTYPE HTML&gt;了么 解决方案二: 有些浏览器默认是不支持mp3格式的,你要多设置几个source选项 解决方案三: 请问下楼主,后来你解决			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5YKnAp.html" rel="bookmark">w l-java中播放音频文件问题，为撒播放不了&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java中播放音频文件问题,为撒播放不了? import java.awt.*; import java.net.*; import java.awt.event.*; import java.io.*; import java.applet.*; import javax.swing.*; public class Music extends JFrame implements Runnable,ItemListener,ActionListener{ Thread thread;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBDdAb.html" rel="bookmark">mediaplayer-不使用 OnCompletionListener&lpar;&rpar; 如何动态的播放音频文件？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 不使用 OnCompletionListener() 如何动态的播放音频文件? 不使用 OnCompletionListener() 如何连续播放音频文件?我用的下面的代码: mp.setOnCompletionListener(new OnCompletionListener() { @Override public void onCompletion(MediaPlayer mp) { // TODO Auto-generated method stub i = i + 1; Sy			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK5jOWp.html" rel="bookmark">C&num;中支持播放音频的格式都有什么&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C#中支持播放音频的格式都有什么,听说主要是wav,但也支持其他格式,比如mp3,但自己写的好像只能播放wav的.请指教~! 解决方案 解决方案二:2.0中支持wav需要播放其他格式,你要去下载第三方控件解决方案三:在2.0中的media命名空间下有sound类.可以播放wav格式的.如果要播放mp3可以去添加其他控件.比如mediaplay解决方案四:SoundPlayer只能播放wav格式的声音文件.解决方案五:顶LS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR1gvab.html" rel="bookmark">关于Window Server2008 服务器上无法播放音频文件和FLV视频文件&lowbar;win服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在偌大的百度当中查找我所需要的资源信息,但网络上所描述的都不能解决,发生此类问题的人很多,但是都没有得到准确的解决方法!经个人各方面的尝试,其实非常简单的解决了无法播放音频文件的问题,如果各位今后也遇到此类问题,可按照我的方式处理: 若是3gp文件,在服务器IIS的MIME类型中直接添加扩展名为&quot;.3gp&quot; MIME类型为&quot;video/3gpp&quot; 若是mp4文件,在服务器IIS的MIME类型中直接添加扩展名为&quot;.mp4&quot; MIME类型为&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK3Emdb.html" rel="bookmark">ArcGIS API for Silverlight 当DataGrid选中项时，地图聚焦弹出窗口，并可以播放音频文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:ArcGIS API for Silverlight 当DataGrid选中项时,地图聚焦弹出窗口,并可以播放音频文件 先看效果图,然后上代码: &lt;UserControl x:Class=&quot;MapClient.PicMusic&quot; xmlns=&quot;http://schemas.microsoft.com/winfx/2006/xaml/presentation&quot; xmlns:x=&quot;http://schemas.microsoft.com/winfx			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqAWPZM.html" rel="bookmark">音乐播放器-ios开发：使用audioqueue播放音频文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 ios开发:使用audioqueue播放音频文件 想问下使用Audioqueue播放本地音频文件时怎样拖动其播放进度? PS:不是用系统自带的播放控件(比如avplayer,avaudioplayer,musicplayercontroller等等),而是用audioqueue自己实现.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGAKZ2M.html" rel="bookmark">代码-C语言 怎么播放音频文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C语言 怎么播放音频文件 求大神 刚学了C语言 想尝试播放音频 求助 求代码 解决方案 Windows文件夹下有一个Media文件夹,里面有很多这种波形文件,比如提示声.警报声.开机音乐等等. 解决方案二: 如果是wav那样的波形文件(Windows自带的录音机可以录制) 用PlaySound() API就可以播放. 解决方案三: 刚学了C语言,你是在什么系统下学习的?开发环境又是什么呢? Windows 系统,可以使用系统提供的 API 来完成播放:Linux 系统应该也类似吧! 如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQW85z.html" rel="bookmark">silverlight 声音-vs2012sliverlight 播放音频文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 vs2012sliverlight 播放音频文件 我用vs2012sliverlight 播放wma文件,按照silverlight从入门到精通 关于媒体播放mediaelement的使用,步骤一样,可是浏览器无法播放,运行时没有提示出错??? 声音文件已经添加到工程目录,MediaElement设置为&quot;永远复制&quot;,&quot;RESOURCE&quot; ``` xmlns=&quot;http://schemas.microsoft.com/winfx/2006/xaml			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9YQgM.html" rel="bookmark" class="title">bug-关于&OpenCurlyDoubleQuote;叫号&rdquo;应用 的  BUG</a>
					<div>
						问题描述 关于&quot;叫号&quot;应用 的 BUG 叫号系统 本来应该按正常顺序叫号的,50 号客户刚办完业务,当业务员叫下一个号的时候却发现叫号系统却从 01 开始重新叫号了. 管理人员发现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkaaEb.html" rel="bookmark" class="title">使用PHP 5&period;0 轻松解析XML文档（5）</a>
					<div>
						xml 下面是通过getNode()函数,返回某一个分类下的所有商品的信息商品名: food11Array( [name] =&gt; food11 [price] =&gt; 12.90)Array ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRReBM.html" rel="bookmark" class="title">郭姐看网络之：2007，谁与草根共舞？</a>
					<div>
						     写下这个题目的时候,已是2007年4月21日星期六凌晨.     这一天,距离内蒙古个人站长群植树踏青暨庆祝落伍者论坛六周岁生日的活动结束,恰好一周.时至今日,才将活动的善后协调完,有空闲坐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5dlnM.html" rel="bookmark" class="title">Java Bean 生成器</a>
					<div>
						这是一个java bean生成器,利用一个文本文件(不妨称为bean定义文件)生成java bean. 开发过程中我们可能会用到很多数据对象(值对象),大都被封装成一个bean.虽然各大 IDE都提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8KB9M.html" rel="bookmark" class="title">英文类博客群链轮的打造方法经验分享</a>
					<div>
						很多做外贸的站长都希望自己能够通过做英文类的站群赚老外的钱,想法是好的,可是实现起来往往会变得困难重重,下面就让做英文站群打造链轮的高手告诉大家如何操作英文类的站群,其实操作的手法是和中文站群差不了多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9KKvz.html" rel="bookmark" class="title">用FWMX 2004的运动模糊做电视</a>
					<div>
						MX2004和MX有什么不同我就不用多说了,MX2004比MX多了一些功能比如模糊系列的运动模糊.好了废话少说今天就给大家说说利用运动模糊做的一些效果!比如做一个电视效果(本人觉得做得一般还望高手们指 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kZJ5z.html" rel="bookmark" class="title">Cisco防火墙常见问题及解答</a>
					<div>
						本文是对Cisco代理商培训资料的收集整理,涉及路由器.交换机.IP/TV.防火墙.VPN.网络管理.HFC.VOIP及设备采购等方面的售前疑问解答,也可以用来作为入门资料. 106 问题:Cache ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKvjvp.html" rel="bookmark" class="title">虚拟机软件VMWare及Virtual PC介绍</a>
					<div>
						虚拟机软件可以在一台电脑上模拟出来若干台PC,每台PC可以运行单独的操作系统而互不干扰,可以实现一台电脑&quot;同时&quot;运行几个操作系统,还可以将这几个操作系统连成一个网络. 比如下图中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyXOKb.html" rel="bookmark" class="title">在PHP中全面阻止SQL注入式攻击之三</a>
					<div>
						一. 建立一个安全抽象层 我们并不建议你手工地把前面介绍的技术应用于每一个用户输入的实例中,而是强烈推荐你为此创建一个抽象层.一个简单的抽象是把你的校验方案加入到一个函数中,并且针对用户输入的每一项调 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBAQ4b.html" rel="bookmark" class="title">WPS 2012多条件求和公式提高成绩统计效率</a>
					<div>
						每次考试后,分析与统计学生成绩是必不可少的环节.有很多学校是采用同一年级统一考试,然后统计某个分数段每个班的学生人数.下面笔者分别用Excel 2003和WPS Office2012表格来统计某次考试 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW19Vqz.html" rel="bookmark" class="title">PS绘制唯美的古装言情风美女MM插画教程</a>
					<div>
						最终效果: 打底稿,PS自带尖角画笔,细腻的画出每一个线条,形要准,线稿关系到后面所有色块的定位. 铺色块,新建各部位图层,这里要注意的是身体每个部位的层次关系,比如头发在最上面一个图层,皮肤在最底层 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balGwmz.html" rel="bookmark" class="title">无线路由器怎么设置过滤MAC地址？</a>
					<div>
						  众所周知,无线路由器是应用于用户上网.带有无线覆盖功能的路由器,已经成为了家中不可少的无线网络设备,然而无线网络的普及也会给无线网络的安全带来威胁,那么我们可以通过无线MAC地址过滤功能来更好的保 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEZv7b.html" rel="bookmark" class="title">win7如何取消屏保</a>
					<div>
						这几天因为特殊用途,不能关闭WIN7 屏保,但是使用与XP 相同的方法, 却无法真正关闭 WIN 7 屏保的! 于是baidu &amp; google 了半天都没有找到! 说是桌面&quot;右击& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr35avp.html" rel="bookmark" class="title">Win8系统打开自身集成的阅读器应用方法</a>
					<div>
						随着在电脑上阅读PDF文件的需求越来越高,Win8系统自身便集成了阅读器应用,除了可以阅读PDF文件外,也能阅读XPS文件.下面我们看看Win8阅读器的打开方法. 操作方法 1.按Windows徽标键 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWNv7b.html" rel="bookmark" class="title">钉钉如何设置通过钉邮代收其他邮箱？</a>
					<div>
						  登录网页版钉邮,点击右上角&quot;设置-账户设置-其他邮箱&quot;,添加代收的邮箱账户以及密码;					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJg2vp.html" rel="bookmark" class="title">javaweb-请问这段代码怎么修改呢？</a>
					<div>
						问题描述 请问这段代码怎么修改呢? String sql = &quot;&quot;insert into message values (messageSeq.nextVal???sysdate) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kGJPM.html" rel="bookmark" class="title">位置-android 5&period;0 下界面主题设置</a>
					<div>
						问题描述 android 5.0 下界面主题设置 希望将弹出框的位置改变带actionbar下面 不要直接换个theme的方法 希望由 style 加些属性改变 解决方案 android 对话框弹出位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lP0Kb.html" rel="bookmark" class="title">SQL Server数据库状态监控 - 错误日志</a>
					<div>
						无论是操作系统 (Unix 或者Windows),还是应用程序 (Web 服务,数据库系统等等) ,通常都有自身的日志机制,以便故障时追溯现场及原因.Windows Event Log和 SQL Se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Qg8Pp.html" rel="bookmark" class="title">Toast自定义显示时长的解决方案</a>
					<div>
						版权声明:本文为博主原创文章,未经博主允许不得转载. 关于Toast,大家可能熟的不能再熟了,但是都知道它有一个缺点,就是没有办法控制显示时长,默认有俩种状态, Toast.LENGTH_LONG 默 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32KBkz.html" rel="bookmark" class="title">VS2008下编译BOOST 1&period;39的ASIO库</a>
					<div>
						由于全部编译BOOST库需要的时间太长,而且耗费空间,况且我只需要用ASIO库,所以就没有必要全部编译了. boost库到www.boost.org上下载. 编译很简单,假设你的boost存放的目录是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoxQGb.html" rel="bookmark" class="title">隐私侵犯将成为2012年最严重安全威胁</a>
					<div>
						本文讲的是隐私侵犯将成为2012年最严重安全威胁,根据熊猫云安全公司防病毒实验室-PandaLabs的最新报告,隐私侵犯和数据窃取将成为明年信息安全机构关注的焦点,网络间谍和社交网络攻击将成为潮流,并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7aXkz.html" rel="bookmark" class="title">SQL2005附加数据库提示&mdash;&mdash;版本为655，无法打开，此服务器支持611版本</a>
					<div>
						  错误提示:   数据库StudentDB的版本为 655,无法打开.此服务器支持 611 版及更低版本.不支持降级路径.   原因: 版本655指的是SQL2008, 版本611指的是SQL200 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lyQ5b.html" rel="bookmark" class="title">Sharding-JDBC 1&period;3&period;0发布&mdash;&mdash;支持读写分离</a>
					<div>
						当当的分布式数据库中间层Sharding-JDBC正式开源.经过近半年的潜心打磨,Sharding-JDBC于六一前夕正式发布1.3.0里程碑版本. Sharding-JDBC源于当当应用框架ddfr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR8vYp.html" rel="bookmark" class="title">浅谈是先做大流量还是先进行盈利模式探索</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 这是一个没有月光的夜,斯恩思网络技术有限公司的创始人张晓京站在办公室窗前,静静思考着白天开会时,公司两位得力干将就技术部新开发的一款网页游戏是否向终端用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEQd3M.html" rel="bookmark" class="title">html5-用canvas标签getElementById为null</a>
					<div>
						问题描述 用canvas标签getElementById为null 天,用了火狐和360都告诉我canvas是null,这种最简单的怎么还能娶不到啊,哪位大神解答一下 解决方案 script放到can ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pken9rb.html" rel="bookmark" class="title">Kubernetes排错：用容器的元数据提供新思路</a>
					<div>
						本文讲的是Kubernetes排错:用容器的元数据提供新思路[编者的话]本文介绍了Kubernetes的元数据以及如何用于工作的,用好元数据有助于监控和排查系统故障,并且只有在需要的时候才去深入到主机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRk8ap.html" rel="bookmark" class="title">设置nginx用户</a>
					<div>
						[root@v0 ~]# /usr/local/nginx/sbin/nginx  [root@v0 ~]# ps -ef | grep nginx root     27678     1  0 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRkrYp.html" rel="bookmark" class="title">如何避免被搜索引擎视为作弊</a>
					<div>
						一个网站要想成功注册,它起码应具备两个条件,一是网站本身要有较好的内容和设计,二是网站没有作弊行为.这里所谓的&quot;作弊&quot;,是指采用一些特殊的.有悖常规的网页设计手法,以期提高网站排名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqZGmb.html" rel="bookmark" class="title">移动客服网页访客端直接显示悬浮聊天窗口</a>
					<div>
						问题描述 移动客服网页访客端不用点击联系客服按钮,而直接显示悬浮聊天窗口 解决方案 插件版不支持,可以使用开发版,开发版的将easemobIM.config.minimum 的值改为false即可					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqQyWp.html" rel="bookmark" class="title">spring mvc4：异常处理</a>
					<div>
						前面学习过struts2的异常处理,今天来看下spring mvc4的异常处理: 一.Servlet配置文件修改 1 &lt;bean id=&quot;exceptionResolver&quot; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
